# Load default processing options
imports:
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }

# Minimal configuration for the editor
editor:
  config:
    format_tags: "p;h1"
    stylesSet:
      # Inline styles
      - { name: "Titel", element: "span", attributes: { class: "inline-title" } }
      #- { name: "Code block", element: "code" }

    toolbarGroups:
      - { name: basicstyles, groups: [ basicstyles] }
      - { name: clipboard, groups: [clipboard, undo] }
      - { name: links }
      - { name: styles }
    removeButtons:
      - Anchor
      - Superscript
      - Subscript
      - Underline
      - Strike
